/*
** Module   : ADMData.java
** Abstract : Define getter and setter for ADM-DATA attribute.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 CA  20130220 Created initial version.
** 002 EVL 20130911 Adding legacy attributes annotation.
*/

package com.goldencode.p2j.util;

/**
 * Defines getter and setter for the ADM-DATA attribute.
 */
public interface ADMData
{
   /**
    * Get the value of the ADM-DATA attribute.
    * 
    * @return   See above.
    */
   @LegacyAttribute(name = "ADM-DATA")
   public character getADMData();

   /**
    * Set the value of the ADM-DATA attribute.
    * 
    * @param    value
    *           The new value.
    */
   @LegacyAttribute(name = "ADM-DATA", setter = true)
   public void setADMData(String value);

   /**
    * Set the value of the ADM-DATA attribute.
    * 
    * @param    value
    *           The new value.
    */
   @LegacyAttribute(name = "ADM-DATA", setter = true)
   public void setADMData(character value);
}
