/*
** Module   : SubTypeAttribute.java
** Abstract : An interface holding the SUBTYPE attribute API.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 CS  20130211 Created initial version.
** 002 EVL 20130911 Adding legacy attributes and methods annotation.
*/

package com.goldencode.p2j.util;

/**
 * Interface for the handles which use the SUBTYPE attribute
 * <p>
 * Exposes the following Attributes and methods:
 * <table>
 * <tr>
 *    <th>attribute or method</th>
 *    <th>API</th>
 * </tr>
* <tr>
*    <td>SUBTYPE</td>
*    <td>{@link #getSubType()}</td>
* </tr>
* </table>
* This is to be used by BROWSE, COMBO-BOX, FILL-IN, MENU-ITEM, SERVER, X-DOCUMENT and X-NODEREF
* handle implementations. 
*/
public interface SubTypeAttribute
{
   /**
    * Returns the subtype of the handle.
    * 
    * @return   See above.
    */
   @LegacyAttribute(name = "SUBTYPE")
   public character getSubType();
}
